Perl is a high-level programming language that comes installed by default in Ubuntu. It is well known for it's use for text manipulation, CGI scripts and it's huge community. You can find any modul and many tutorials on http://www.cpan.org/

learn more… | top users | synonyms

0
votes
3answers
205 views

can “libexcel-writer-xlsx-perl” be added to precise and later?

I am interested in using the Perl module Excel::Writer::XLSX on Precise. I can install it using CPAN, but due to complications at my office, it'd be easier to just be able to do apt-get install from ...
2
votes
2answers
312 views

How to repair fonts for Perl/Tk (14.04)

With Ubuntu 14. 04 I have Perl 5.18.2 for x86_64-Linux-gnu-thread-multi on my laptop which is nice, but after installing Perl/Tk-804.032 from CPAN I seem to only get non-antialiased fonts (scaled ...
0
votes
2answers
763 views

After performing apt-get dist-upgrade Perl scripts will no longer ignore invalid SSL certificates on 14.04

Good morning all, Last week I decided to run the commands to upgrade packages on my 14.04 Server to ensure that I was patched for the recently found Bash vulnerabilties. Per the info here ...
3
votes
1answer
544 views

Perl may be unconfigured?

Hi I have error when I want to install,remove or configure my package this is the error debconf: Perl may be unconfigured (Can't locate Debconf/Log.pm in @INC (you may need to install the ...
3
votes
1answer
264 views

Why cant i find site_perl directory in Ubuntu?

I am compiling a program from source code. It requires path to my site_perl directory. When I run perl -V, i see that there is /usr/local/lib/site_perl at the end but i cant find the directory in the ...
2
votes
1answer
111 views

Error installing SHA

I'm trying to install SHA using the following command perl -MCPAN -e 'install Digest::SHA' I also tried using: sudo cpan 'install Digest::SHA' But i'm getting a linker error: ...
0
votes
1answer
25 views

Running Multiple perl script simultaneously

I have three identical perl script; say test1.pl, test2.pl, test3.pl Each perl script have a set of commands. For example; command to run test1.pl perl test1.pl arg1 arg2 &; test1.pl ...
0
votes
1answer
13 views

Is there a way to force Perl to always use the latest version?

This is in relation to this question: Why doesn't Perl use latest version by default? I'm aware that I can force it with use v5.14 from within a script, and that's what I'm currently doing, but ...
0
votes
1answer
43 views

split files with specific pattern

A file I work with is like NAMES n0 n1 n2 n3 n4 n5 n6 n7 REGION chr 1 100000 404 AAAAAAGA 992 TTTTTTTA 1146 CCCCGGCC 1727 CCCCCACC 1778 GCCCCCCC My desired output is (please ...
0
votes
1answer
144 views

when i am trying to run a perl file i am getting permission denied error

/usr/local/share/lxr/lxr-2.0.3/scripts$ ls ANSI-escape.sh ContextMgr.pm LCLInterpreter.pm QuestionAnswer.pm set-lxr-version.sh VTescape.pm configure-lxr.pl kernel-vars-grab.sh ...
0
votes
1answer
181 views

How do I repair / reconfigure a broken Perl package when apt and dpkg both depend on Perl?

Recent system updates resulted in errors including this: debconf: Perl may be unconfigured (Can't locate Fcntl.pm in @INC (you may need to install the Fcntl module) (for which I submitted bug ...
0
votes
1answer
371 views

How to convert Arabic subtitles to utf8 the right way?

Most DVD burners (if not all) ask for subtitles to be encoded in utf8, sure that's easy for file in *.srt; do ◀ iconv -f ISO-8859-1 -t UTF-8 -o "$file".utf "$file" && mv "$file".utf "$file" ◀ ...
0
votes
1answer
592 views

How to install WWW::Mechanize::Firefox and MozRepl::RemoteObject?

I want to use WWW::Mechanize::Firefox. Trying to install it via cpan one dependency not OK (MozRepl::RemoteObject); additionally test harness failed Trying to install MozRepl::RemoteObject will not ...
0
votes
1answer
56 views

Ubuntu server strange locale issue

Installed brand new Ubuntu 13.10 64 bit on Hetzner server. Right after install tried to execute apt-get update and apt-get dist-upgrade. Getting following error nearly on all apt-get operation perl: ...
0
votes
1answer
4k views

Error in apache configuration

Initially my PHP was running well and after that when I installed perl CGI modules in order to run my CGI programs, there was problem. From the local host, I am not able to compile my PhP files nor ...
0
votes
1answer
125 views

package 'libhtml-parser-perl': Is a directory E: Sub-process /usr/bin/dpkg returned an error code (2)

I encountered the problem few weeks ago. First I didn't pay to much attention and I let the server running, but for now, there is a lot of upgrades to be fixed and I'm stuck. If I try to upgrade ...
0
votes
1answer
179 views

Gui application for perl scripts and cshell

I am a very green to Linux. I am now taking a course at my studies basic of Linux. As part of my assessment I need to do some Perl scripts and C shell. But also we have been asked to build a GUI app ...
0
votes
1answer
113 views

Perl: problem with locales

I'm trying to install CGIProxy on my Ubuntu server and according to the instructions I have to: Copy the file nph-proxy.cgi onto your Web server somewhere, but not at the top Web directory, or else ...
0
votes
1answer
128 views

Perl Library for Unity

Is there a Perl Library for the Unity Launcher? Apparently there needs to be one to be able to write feedback to the launcher (Like Message Counts) but so far I haven't been able to find one. So I am ...
-1
votes
1answer
26 views

read numbers with e in awk

Hello a file I am working with looks: header // SeqT: {"POS-s":174.683, "time":0.0130084} SeqT: {"POS-s":431.49, "time":0.0221447} ...
2
votes
0answers
254 views

Apache 2.4 and mod_perl 2 on Ubuntu 14.04: local configuration

I'm trying to get Apache 2.4 configured such that I can test mod_perl 2 code locally (I should note that I have little recent experience with Apache). I've installed both of them on a machine running ...
2
votes
0answers
106 views

Perl package not found with apt

When I try to do an upgrade or install something, apt(-get or aptitude) throw an error, saying that perl can't find XML/SAX/Debian.pm while trying to configure libxml-libxml-perl. Here is the full ...
1
vote
0answers
45 views

14.04 update problem with executable file mode

Here's the problem: I create a file called foo.pl containing #!/usr/bin/perl as the top line I execute chmod u+x foo.pl I type ./foo.pl at the command prompt and get the following bash: ./foo.pl: ...
1
vote
0answers
344 views

Errors installing the perl module File::Scan::ClamAV

Ubuntu 14.04 LTS, Gnome desktop. I'm missing one of the requires for having ClamAV work with SpamAssassin and it will not install, here is the output. The command used to install is: ...
0
votes
0answers
22 views

How to check if a switch is configured in 'ssh' or in 'telnet' using perl script provided the switch IP is available…?

In a perl script, when a switch IP is available, it is required to know if the switch is configured for 'ssh' or 'telnet' for continuing execution. How can this be done..? Please help it...
0
votes
0answers
37 views

Locale warning from Perl stops Postgres configuring

So I want to set up Postgres on a Microsoft Azure-server running Ubuntu 14.04. I need to make a cluster: user@mysystem:~$ pg_createcluster perl: warning: Setting locale failed. perl: warning: Please ...
0
votes
0answers
178 views

can't install cpan module GD

Since I failed to install Image::Magick on my non-GUI Ubuntu server Ubuntu 14.04.2 LTS (read about it here), I tried to install another image-manupulation tool that can be used from a perl-script: GD. ...
0
votes
0answers
22 views

problem in creating own module for reuse

i wish to create my own module and i want to use that module name for further use, the main concept is, create a module which should contains subroutines for line count, word-count and character ...
0
votes
0answers
215 views

Install Ububuntu on Asus X205TA (error)?

I am trying to follow this Instructions to install Ubuntu 14.10 on ASUS EeeBook X205TA , but after running the first line of code, I get this error: Unable to locate package libfont-freetype-perl ...
0
votes
0answers
35 views

atftpd pcre problem

I am trying to build ris server using atftpd and samba but the problem is tftp client request files in \path\to\file format and i want to change this to path/to/file format. So i wrote pcre file for ...
0
votes
0answers
64 views

Error showing while using check_vmare_api

I am getting error while running check_vmare_api perl command. CHECK_VMWARE_API CRITICAL - Error: Server version unavailable at <'https://1.1.1.1/443/sdk/vimService.wsdl'> i am using ubuntu 14.04 ...
0
votes
0answers
84 views

why i don't receive DHCPDiscover message from server using dongle and why same code give DHCPNac on wifi

I have written a script using perl and i have tested it using two different ways: Using a wifi connection (I have router which is directly connected to server and i am connected to that router). ...
0
votes
0answers
82 views

Buffer Overflow on pacpl

I have a file in my external HDD called a.mp4.. When I try the command: pacpl -v --bitrate 48 --to mp3 --outdir "/home/user/SoundCloud/output" "/media/user/MyPassport/a.mp4" I get the output/error: ...
0
votes
0answers
18 views

Bioperl percentage bar

I have the next perl script that convert fastq file to fasta file, and make a count of the sequences in the fasta file; I would like to add a percentage of advanced like a percentage bar or printing ...
0
votes
0answers
15 views

Run perl script from cgiperl

I am new to cgi per. I have perl script actually works. I like execute my perl script from cgiperl and print the out in web page. Any help? 1) take a text file as inout from webpage and put it in a ...
0
votes
0answers
44 views

Errors in Simple.pm when using debmirror

Hi since the update to utopic debmirror does not work any more due to errors in LockFile/Simple.pm. The error is: Use of uninitialized value $stamp in chop at /usr/share/perl5/LockFile/Simple.pm line ...
0
votes
0answers
174 views

CGI script seems to run but output file is not stdout but name of script file

I have the latest version of Ubuntu 14.04 installed on my laptop. I have installed the LAMP server via tasksel. I followed the instructions for Apache 2.4 from Apache's httpd.apache.org website on ...